
type
  setuptype=record
    {Tracking Info}
    Version: word;         {version code: format = 138}

    DummyLong1: longint;
    DummyByte1: byte;


    SerialNum: string[5];

		{System Info}
		sysop_name,             {sysop's handle * UNUSED AS OF 1.40 * }
    longname,              {full BBS name}
    shortname: string[80]; {short BBS name}
    acronym: string[3];    {3-letter acronym}
    bbscity,               {city of BBS}
    BbsState,              {state / province / country}
    telenumber,            {Phone #}
    sys2name,              {Name for System 2}
    sys3name: string[30];  {Name for System 3}

		{System Options}

		{ systemtoggles : Word; Checkbox}
			allowdoors,         {1}
			allowfat,           {2}
			StrictPhone,        {4}
			SyslogProtect,      {128}
			usevoice,           {8}
			soundblaster,       {16}
			autologin: boolean; {32}
			

		SupportedRates : Word; {Checkbox}

		systemtype : Word;  {Radiobuttons}
		{ BBS       = 0
			CAE       = 1
			CAE/TAC   = 2
			Alacrity  = 3}
		systemspeed : Word;  {Radiobuttons}
		{ 80486 =0
			80386 =1
			80286 =2
			 8086 =3}


		bbsnode : integer; {NumInputline}
		mintimeout : integer; {NumInputline}

		{==Look and Feel==}
		{LookToggles: word;}
		UserTopTenDisable,
		UseTopTen,
		UseRumor,
		KeyFlash,
		FreeDownloads: boolean;

		WaitText: string[80];
		PromptForm: string[80];
		AnonymousStr: string[30];
    DotChar: string[1];
		DefHelpLevel: integer;

		{Serial Port }
		uart16550: boolean;
		PortDelay,          {Compensate for slow I/O cards}
    ComPortSelect,      {Radio Button com port select...}
		UseCom,							{Com Port}
		ComInt,							{Com Interrupt}
		IRQ,
		InBuffer,
		OutBuffer: Integer;
		BaseAddr: string[10];
    LockedDTERate: word;

		{Modem Setup}
		{OffhookToggles : Word; Checkbox}
		LockDTERate,                {Lock the DTE rate}
		OffHookSysop: boolean;			{pick up line when sysop goes local}
		ModemSetupStr,							{Inputline}
		ModemHangupStr,				 			{Inputline}
		ModemDialPrefix,						{Inputline}
		ModemDialSuffix :String[80];{Inputline}
		{modemlist : TListboxRec;  Listbox}
		ModemType,					{*** Was HSTTYPE  }
		NumRings,										{Answer on Ring Number}
		ConnectDelay : integer;   	{Delay Before connecting}

		{Video Options}
		Monochrome,          		{Mono system}
		UseEGA,									{25 or 43/50 line}
		CelerityAnsi,						{Use internal ansi filter}
		ScreenSaver: boolean;		{Use the WFC screen saver}

		{Xfer Options}
		UploadFactor,
		PointVal,
		Maxloan,
		Commission,
		ULpercent: Integer;
		{Deleted var for New Point Value}

    DownLoadRates: word;    {bit map of what baud rates allow dl.}

		UserDLcost,							{can users decide dl cost?}
		UseFPS,                 {Use the file point system?}
		AutoValidate,						{Should new files be autovalidated}
		Process,								{Should comment.bat run to process zips?}
		UseBackupDir,						{Should there be backup dirs in xfer?}
		AllowRequest,						{Allow user requests for Offline files?}
		FilePW,									{Can users attach file passwords to u/ls?}

		PickyDesc,							{Use picky file descriptions?}
		Files_Progname,					{Use program name in file listing?}
		Files_OfWhat,						{Use disk numbers in files listing?}
		Files_Descript: boolean;{Use file descriptions??}

    {Conferences}
    UseConf: boolean;		{use conferences?}
    ConfNames: array[1..5] of string[30];
    XferConfNames: array[1..5] of string[30];


		{Passwords}
		sysoppass, 											{Sysop Password}
		pagepass: String[10]; 					{Emergency Chat Password}
		systempassword, 								{Login p/w for system1}
		system2password,								{Login p/w for system2}
		system3password,								{Login p/w for system3}
		newuserpass, 										{Application p/w for new users}
		lockoutpass : String[30]; 			{Restricted Baud Lockout p/w}

		{Chat Options}
		AvailStr,
		NotAvailStr,
		Appear,
		DisAppear: String[80];
		ObnoxChat: boolean;				{Use the Obnoxious Chat??}

  	{Login Shell}
    LoginString: String[80];	{Text to be displayed if not Connent at xxx}
    UseTermDetect: boolean;		{Use Ansi/Avatar/VT100 terminal detection}
    ShellType:word;						{1=No Shell, 2= Menu, 4=Dos Emulator,}
    													{8=Unix Emulator, 16=Lightbar, 32=External}


		{Pathnames}
		BBSdir,					{path to bbs files}
		XferDir,				{path to temp xfer area}
		NodeDir,				{path to node specific files}
		NodeChatPath,		{common internode directory}
		TextDir,				{paht to message base files}
		BoardDir,				{path to subboard data, xfer section files}
		TextFileDir,		{path for infoforms, etc...}
		NetDir,					{path for all network files}
		DoorDir,				{path for Door batch files}
		SoundDir,				{path for SoundBlaster files}
		NewUserUploadDir: String[127];		{path for new user uploads }

		editor,									{full pathname of text editor}
		AnsiEditor: string[80];	{full pathname of ansi editor}

    {Network Options}
		{netToggles : Word; Checkbox}
    UseNet,						{Use Celerity Net}
    NetHost,					{Is the system the Celerity Net HOST?}
    NetHub:boolean;		{Is the system the Celerity Net HUB?}

		netnode : String[6]; 	{Network Node Code}
		netpass : String[80]; 	{Network Password}
		hubnum : longint; 			{Hub ID code}
		netbegin : String[8]; 	{*** Change to packtime? Net call start time}
		netend : String[8]; 		{*** Change to packtime? Net call end time}
		hostphone : String[30]; {Network HOST/HUB phone number}
		extender : String[80];  {Dialing Extender, Calling card, etc..}
		originline : String[80];{Network origin line}

		{netfeatures : Word; Checkbox}
		FeatureA,
		FeatureB,
		FeatureC,
		FeatureD,
		FeatureE,
		FeatureF,
		FeatureG,
		FeatureH,
		FeatureI,
		FeatureJ: boolean;


		{Timed Events}
		{*** These types may (will) change.  Perhaps packtime...}
    {*** They used to be sstr.  }
		TimeRestStart, 						{Time for restricted hours to begin}
		TimeRestEnd, 							{Time for restricted hours to end}
		AvailTime, 								{What time is the sysop available for chat}
		UnavailTime, 							{What time will the sysop not be available}
		EventTime,           			{time to run even batch file}
		EventBatch,              	{name of event batch file to run}
		BackTime: String[8]; 			{time to run backup.bat}

    {Login Commands}
    ShellCom: array[1..9] of string[10]; {Various Shell Commands}

    {Infoforms}
    Infoname:array[1..5] of String[30]; {Names of infoforms 1-5}
    ForceForm:Array[1..5] of boolean;		{Force user to fillin form x?}
    InfoLvl:array[1..5] of integer;			{Min user level to access form}
    InfoMax:array[1..5] of Integer;			{Max user level to access form}

    {New User Options}
    private,							{Refuse all new users?}
    HangNewUsers,					{Hang up after a new user applies?}
    RequireUpload,				{Require new user ul a program with application?}
		CopyNewUserUpload,    {Save actual new user upload?}
		RequireFeedback,      {Make new users leave feedback??}
		UseAddress: Boolean;  {Will prompt user for address.}

    NewUserLvl,						{Level for new users}
    DefUDLevel,						{File Xfer level for new users}
    DefUDPoint:integer;		{File Xfer points for new users}

    NewUserNote: string[30]; {User note for new users.}

    {New User Voting}
    NewUserVoting,				{Enable new user voting system}
    AutoNUV: boolean;			{Auto Validate/Delete new user base on vote?}

    YesVote,							{Number of Yes vote to validate}
    NoVote,								{Number of NO votes to delete user}
    NuvLvl,								{Level required to access NUV system.}
    Forcevote: integer;		{Users above this level will be forced to do NUV}


    {Local Users}
    LocalLockout: boolean;{Use the Local user lockout?}
    LocalPercent: Integer;{What percent of local uses will be allowed?}
    LocalMSG: string[80]; {LUL rejection message.}

    {QuickValidate}
    QvalLvl,							{Level to assign quick validated user}
    QvalXfer,							{Xfer Level to assign quick validated user}
    QvalXP: integer;			{Xfer Points to assign quick validated user}

    QvalNote: string[30];	{User Note to assign quick validated user}

		QvalMsgCon,
		QvalXferCon,
		BasicMsgCon,
		BasicXferCon: array[1..5] of boolean; {Allow QVAL for conference X}


    {Access Levels}
    LogonLvl: integer;        {Level required to enter BBS}

    UserTime: array[1..10] of integer; {User time/day/level}

    SysopLevel,						{Level required for cosysop activities}
    AnonymousLevel,				{Level to post anonymous}
    PostLevel,						{Level to post a bulletin}
    AutoMsgLvl,						{Level to leave automessage}
    TimeRestLvl,					{Level required to log on during restrict hours}
    ReadAnonLvl,					{Level need to see name of anon poster}
    ListUserLvl,					{Level to get a userlist}
    ListLastLvl,					{Level to see list of recent callers}
    ListXferLvl,					{Level to see list of xfer activity}
    SyStatLvl,						{Level to see system status}
    SysHistLvl,						{Level to see system history}
    TopTenExempt,					{Level for exclusion from Top Ten}
    LoanLev:integer;			{Level needed to make a file point loan}

    {User Ratios}
    XferPcr,					{Default pcr needed for xfer}
    PCRExempt,				{Level to exempt from PCR}
    UDRatio,					{Default UD ration needed to download}
    UDExempt,					{Level to exempt from UD ratio}
    GenRatio,					{Required average of UDR and PCR}
    GenExempt:integer;{Level to exempt for General Ratio}

    {Colors}
    Color1,
    Color2,
    Color3,
    Color4,
    Color5,
    Color6,
    Color7,
		Color8,								{Attribute type....  Various color settings}
		SysopToolColor,				{Color for sysop tools}
		StatLineColor,     		{Color of status Line}	{End of 1.38 record}

		SysopToolHigh,

		WFC_Back,							{Wait for call colors}
		WFC_Text1,
		WFC_Text2,
		WFC_Panel1,
		WFC_Panel2,
		WFC_Border,

		PopupColor,
		LightBarColor: byte;

		{pathnames}
		ArtDir,               	{Ansi Art Gallery directory}
		MenuDir:	String[127];	{Directory for menus ONLY}

		{Network Options}
		netbegin2,					 	{2nd Net call start time}
		netend2 : String[8]; 	{2nd Net call end time}

		{Look and Feel}
		AlacrityMenus, 				{Use Alacrity-style menus}
		AllowMasterFile,				{Allow creation of a master file creation}
		SoundEffects: boolean;  {Use sound effects.  }

		{Misc}
		BozoFilter: byte;  {unused}

		{New Path item}
		FileMailDir	: String[127];	{path for Email uploads}

		{FidoNet Data}

		fidoLocalAttribute,
		fidoDelSentMsg,
		fidoDelTossedMsg,
		fidoSetCrash,
		fidoSetPrivate,
		fidoSetHold,
		fidoSetLocal,
		fidoFlag8	:	boolean;

		fidoAddress	:	string[15];	{Zone:Net/Node/Point Address}
		fidoOrigin	: string[80];	{Fidonet origin line}

		{Addition Modem Connect Stings}
		connectStr : array[1..13] of string[15];

		{More Look and Feel}
		UserNoteEdit,
		AllowHandles,
		UseNuaVmb	: boolean;

		{New Login Shell Command Prompt}
		ShellPrompt	: string[80];

		{Standard DSZ Protocol}
		DSZexe: string[12];

		{Shell Upload Pass}
		ShellUploadPass: string[10];

		Sequence: array[1..20] of Record
			order: byte;
			name: string[12];
			options: byte;
			end;

    {More access levels}
    ArtGalleryLvl,          { Level to upload Art to Art Gallery }
    QwkAccessLvl,           { Level needed to enter QWK section }
		SLevExpired,      			{ SLevel to change an expired account to}
		XLevExpired: integer;   { XLevel to change an expired account to}

    {More look and feel}
    HeaderFormat,           { Radio buttons for header format }
    UnusedLF,               { free for future expansion }
		UnusedLF2:Word;
		PauseString: String[80];


		{New Password Entry}
		LowSpeedNewUserPass : string[10];

    end; {Setup Record}

